System.Data 2.0.0.0 System.Enum

Describes the type of access to system data for a user-defined method or function.

This enumeration is used in and to indicate what type of access to system data the method or function has.

Note that methods and functions are not allowed to make changes to the database, so the options for this enumeration are None (meaning no data-access performed by the method or function) and Read (meaning that the method or function performs read-only data-access operations, such as executing SELECT statements).

Describes the type of access to system data for a user-defined method or function.

- Field
  Microsoft.SqlServer.Server.SystemDataAccessKind

  The method or function does not access system data.

  2.0.0.0
- Field
  Microsoft.SqlServer.Server.SystemDataAccessKind

  The method or function reads system data.

  2.0.0.0